/**
*NFS App
*Implementing an App to manage nfs.
*/
var NfsApp = NfsApp || {};  //Define NFS App namespace.
/**
*Constructor UNAS App
*/
NfsApp.App = function () {
    this.id = 'NFS Service';
    this.name = 'NFS Service';
    this.version = '6.0.10';
    this.active = false;
    this.menuIcon = '/apps/nfs/images/logo.png?v=6.0.10&';
    this.shortcutIcon = '/apps/nfs/images/logo.png?v=6.0.10&';
    this.entryUrl = '/apps/nfs/nfs.html?v=6.0.10&';
    //this.entryHelpUrl = '/apps/nfs/nfs_help.html?v=6.0.10&';
    var self = this;
    this.NfsAppWindow = function () { //create app window
    	if(UNAS.CheckAppState('NFS Service')){
    		return false;
    	}
    	self.window=new MUI.Window({
            id: 'NfsAppWindow',
            title: UNAS._('NFS Service'),
			icon: '/apps/nfs/images/logo_small.png?v=6.0.10&',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            loadMethod: 'xhr',
            contentURL: '/apps/nfs/nfs.html?v=6.0.10&',
			require: {  css: ['/apps/nfs/css/nfs.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("NFS Service",'NfsAppWindow')}
        });
    };
    this.NfsUninstall = function (){
    	UNAS.RemoveDesktopShortcut('NFS Service');
    	UNAS.RemoveMenu('NFS Service');
    	UNAS.RemoveAppFromGroups('NFS Service', 'ControlPanel');
    	UNAS.RemoveAppFromGroups('NFS Service', 'Help');
    	UNAS.RemoveAppFromApps('NFS Service');
    }
    new UNAS.Menu('UNAS_ControlPanel_Network_Menu', this.name, this.menuIcon, 'NFS Service', '', this.NfsAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'NFS Service', this.NfsAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type': 'Network', 'Location': 3, "Icon": this.shortcutIcon, "Url": this.entryUrl}, {});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type': 'Network', 'Location': 3, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl}, {});
    UNAS.LoadTranslation('/apps/nfs/languages/Translation?v='+this.version, OnChangeLanguage);
    var OnChangeLanguage = function (e) {
    	UNAS.SetMenuTitle('NFS Service', UNAS._('NFS Service')); //translate menu
        //UNAS.SetShortcutTitle('NFS Service', UNAS._('NFS Service'));
        if (typeof self.window !== 'undefined') {
        	UNAS.SetWindowTitle('NfsAppWindow', UNAS._('NFS Service'));
        }
    };
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
	UNAS.CreateApp(this.name, this.shortcutIcon, this.NfsAppWindow, this.NfsUninstall);
};

new NfsApp.App();
