function getNfsStatus() {
  jQuery('#nfs_setting_waiting_content').attr("style", "display:block");
  jQuery('#nfs_setting_waiting_logo').attr("style", "display:block");
  jQuery.ajax({
    url: "/apps/nfs/includes/index.php",
    data: JSON.stringify({
      cmd: "nfs_state",
      token: UToken
    }),
    type: "POST",
    dataType: 'json',
    async: true,
    contentType: "application/json;",
    success: function(data) {
      if (data.err == 0) {
        if (data.results.active == 1) {
          jQuery('#nfs_setting_enablecheck').prop('checked', true);
          jQuery('#nfs_setting_enablecheck').attr('status', 'enable');
        } else {
          jQuery('#nfs_setting_enablecheck').prop('checked', false);
          jQuery('#nfs_setting_enablecheck').attr('status', 'disable');
        }
      }
      jQuery("#nfs_setting_apply").attr("class", "unas_button_disabled");
      jQuery('#nfs_setting_waiting_content').attr("style", "display:none");
      jQuery('#nfs_setting_waiting_logo').attr("style", "display:none");
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      jQuery('#nfs_setting_waiting_content').attr("style", "display:none");
      jQuery('#nfs_setting_waiting_logo').attr("style", "display:none");
    }
  });
}

function nfsClear() {
  jQuery('#nfs_setting_waiting_content').attr("style", "display:block");
  jQuery('#nfs_setting_waiting_logo').attr("style", "display:block");
  jQuery.ajax({
    url: "/apps/nfs/includes/index.php",
    data: JSON.stringify({
      cmd: "nfs_corpse",
      token: UToken
    }),
    type: "POST",
    async: true,
    contentType: "application/json;",
    success: function(data) {
      getNfsStatus();
      jQuery('#nfs_setting_waiting_content').attr("style", "display:none");
      jQuery('#nfs_setting_waiting_logo').attr("style", "display:none");
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      getNfsStatus();
      jQuery('#nfs_setting_waiting_content').attr("style", "display:none");
      jQuery('#nfs_setting_waiting_logo').attr("style", "display:none");
    }
  });
}

function nfsApply() {
  if (jQuery("#nfs_setting_apply").attr("class") == "unas_button_disabled")
    return false;
  jQuery('#nfs_setting_waiting_content').attr("style", "display:block");
  jQuery('#nfs_setting_waiting_logo').attr("style", "display:block");
  var enablenfs = 0;
  if (jQuery('#nfs_setting_enablecheck').prop('checked') == true)
    enablenfs = 1;
  jQuery.ajax({
    url: "/apps/nfs/includes/index.php",
    data: JSON.stringify({
      cmd: "nfs_active",
      token: UToken,
      params: {
        active: enablenfs
      }
    }),
    type: "POST",
    async: true,
    contentType: "application/json;",
    success: function(data) {
      getNfsStatus();
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      getNfsStatus();
    }
  });
}

function getnfsversion() {
  jQuery.ajax({
    url: "/wmi/index.php",
    type: "POST",
    async: true,
    dataType: 'json',
    contentType: "application/json;charset=utf-8",
    data: JSON.stringify({
      "cmd": "nfs_version",
      "token": UToken
    }),
    success: function(res) {
      if (res.err == 0) {
        jQuery('#jv-nfs-v').text(res.results.version);
      }
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {}
  });
}

(function() {
  getNfsStatus();
  getnfsversion();
  
  jQuery('#nfs_setting_enablecheck').click(function() {
    if ((jQuery('#nfs_setting_enablecheck').prop('checked') && jQuery('#nfs_setting_enablecheck').attr('status') == "disable") || (!jQuery('#nfs_setting_enablecheck').prop('checked') && jQuery('#nfs_setting_enablecheck').attr('status') == "enable")) {
      jQuery("#nfs_setting_apply").attr("class", "unas_button");
    } else {
      jQuery("#nfs_setting_apply").attr("class", "unas_button_disabled");
    }
  });
})();
